
$STITLE Input file: indata.GMS. SAINT CGE modeling system 1.01

*The following parameter is used to document what indatafile that is used.
*If you produce own indatafiles replace indata1 below with the name of you file.

 SET
 INCDAT
 /
 INDATA
 /
;
 indatafile('indata') = 1    ;

$ontext

The file is divided into the following searchable blocks:
1. DESCRIPTION OF THE INDATA FILE
2. DATA MANIPULATION
3. SET DEFINITIONS
4. SAM WITH SUBMATRICES
5. MANIPULATIONS IN THE SAM
6. DEFINITION OF CAPITAL GOODS AND PHYSICAL FACTOR QUANTITIES
7. PRICES


1. DESCRIPTION OF THE INDATAFILE
This indatafile in test data set for SAINT

2. DATA MANIPULATION:

Data manipulations are made in the include file samman.dat



*3. SET DEFINITIONS #################################################


Instructions:

!!-1. In this section, the user should DEFINE all sets (by entering the
names of set elements). The only exception (which is signalled when
relevant) is for sets that are not invariably included in the SAM --
their element lists may be left blank. The user should NOT change set
names.


!!-2. The set AC has to include the following elements:


 TMT            trade margins

 INSTAX          direct taxes on domestic institutions
 EXPTAX          tax on exports
 FACTAX          direct tax on factors (soc sec tax)
 IMPTAX          import tariff
 TQT             quantity taxes on commodities
 TVT             value taxes on commmodities
 ACTTAX          activity tax

 STOCK     financial asset
 GOV       government
 S-I       savings-investment
 DSTK      stock changes
 ROW       rest of the world
 TOTAL     total





Comments on the above list:

a. The name TOTAL is also compulsory in the SAM.

b. If the SAM includes a government,the rest of the world, savings-
investment and/or stock changes, then the above account names ( GOV, ROW,
S-I, DSTK) have to be used for these entities.

Capital returns has to be distributed through an account named STOCK.
Taxes on capital should be payed from the stock account

c. The tax elements are used for model calibration.
Taxes have to be paid to special tax accounts that, in their turn, pass on
their total receipts to the account GOV; it is illegal to have taxes paid
directly to GOV.  For trade margins and taxes the above names has to be used
if they are included in tha sam. No other tax accounts are allowed.

$offtext



SETS
*!!-start entering information here
 AC  global set for model accounts - aggregated microsam accounts
 /
*activities
 A01
 A15
 A20
 A24
 A30
 A40
 A50-52
 A70
 A75
 A90

*Commodities
 C01
 C10
 C15
 C20
 C20bio
 C232A
 C232E
 C24
 C30
 C401
 C402
 C403
 C41
 C50-52
 C60
 C63
 C70
 C75
 C90

*Trade margins
 TMT

*Taxes
 INSTAX     direct taxes on domestic institutions
 EXPTAX     tax on exports
 FACTAX     direct tax on factors (soc sec tax)
 IMPTAX     import tariff
 TQT        total unit tax on commodities (distributed in TQMAT)
 TVT        total ad valorem tax on commodities (distributed in TVMAT)
 ACTTAX     activity tax

*factors
 LABL       low skilled labour
 LABM       medium skilled labour
 LABH       high skilled labour
 CAP        aggregated capital

*domestic non-government institutions

 H1
 H2

*Required accounts
 STOCK     financial asset
 GOV       government
 S-I       savings-investment
 DSTK      stock changes
 ROW       rest of the world
 TOTAL     total
 /

 P(AC)  all purchasers

 /
*activities
 A01
 A15
 A20
 A24
 A30
 A40
 A50-52
 A70
 A75
 A90

*domestic non-government institutions

 H1
 H2

*Required accounts
 GOV       government
 ROW       rest of the world
 S-I       savings-investment
 DSTK      stock changes
 /

 PNI(P)  all purchasers  except investments

 /
*activities
 A01
 A15
 A20
 A24
 A30
 A40
 A50-52
 A70
 A75
 A90

*domestic non-government institutions

 H1
 H2

*Required accounts
 GOV       government
 ROW       rest of the world
 DSTK      stock changes
 /

 A(PNI)  activities
 /
*activities
 A01
 A15
 A20
 A24
 A30
 A40
 A50-52
 A70
 A75
 A90
 /

 AETS(A)   activities included in permit trading
 /
 A20
 A24
 A40
 /

 C(AC)  commodities
 /
 C01
 C10
 C15
 C20
 C20bio
 C232A
 C232E
 C24
 C30
 C401
 C402
 C403
 C41
 C50-52
 C60
 C63
 C70
 C75
 C90
 /


*Note: This set identify the element in the SAM
*that receives payments from trade margins.
*That is, the commodities used for transactions
*If your SAM does not include these payments, leave the
*set empty.
 CTR(C)    commodity used for transactions

 /
 C50-52
 /

 FOSSIL(C) fossil fuels

 /
 C232A
 C232E
 C402
 /

 FOSSILPERM(FOSSIL) fossil fuels included in permit trading

 /
 C232E
 C402
 /

 F(AC)     factors
 /
 LABL      low skilled labour
 LABM      medium skilled labour
 LABH      high skilled labour
 CAP       aggregated capital
 /

*Note: in the unlikely event that your SAM does not include labor
*factors, leave the following set empty.
 FLAB(F)   labor
 /
 LABL      low skilled labour
 LABM      medium skilled labour
 LABH      high skilled labour
 /

*Note: If your SAM does not include natural capital
* leave the following set empty.
 FLAND(F)   natural capital
 /

 /

*Note: in the unlikely event that your SAM does not include capital
*factors, leave the following set empty.
 FCAP(F)   capital
 /
 CAP       aggregated capital

 /

 FOP(FCAP) capital that is used to adjustments in SAINTSEC
 /
 CAP
 /




 INS(P)    institutions
 /
 H1        households 1
 H2        households 2
 GOV       government
 ROW       rest of the world
 /

 INSD(PNI) domestic institutions
 /

 H1        households 1
 H2        households 2
 GOV       government
 /


 H(INSD)  households
 /
 H1        households 1
 H2        households 2
 /




 INSNG(INS) non-government institutions
 /
 H1        households 1
 H2        households 2
 ROW       rest of the world
 /


 TX(AC)    taxes in the model
 /
 INSTAX    direct taxes on domestic institutions
 EXPTAX    tax on exports
 IMPTAX    import tariff
 FACTAX    direct tax on factors (soc sec tax)
 TQT       total unit tax on commodities (distributed in TQMAT)
 TVT       total ad valorem tax on commodities (distributed in TVMAT)
 ACTTAX    activity tax
 /


 ;



 ACNT(AC) = YES; ACNT('TOTAL') = NO;



$ontext
4. SAM WITH SUBMATRICES########################################################
!! The user includes a SAM with submatrices and selects its name (subject to GAMS
syntactical rules).


!!-In this section, a SAM and its submatrices is included.

The SAMSAM and its submatrices can be included in three ways:
1. put directly in the file in the space below.
   A maximum of 6 columns is feasible; or
2. imported with an import program such as XLLINK or SSLINK; or
3. put in an include file.

$offtext


$libinclude xlimport SAM INDATA.XLS SAM!
$libinclude xlimport TMMAT INDATA.XLS TMMAT!
$libinclude xlimport TQMAT INDATA.XLS TQMAT!
$libinclude xlimport TVMAT INDATA.XLS TVMAT!
$libinclude xlimport BINVMAT INDATA.XLS BINVMAT!
$libinclude xlimport TQINV INDATA.XLS TQINV!
$libinclude xlimport TMINV INDATA.XLS TMINV!
$libinclude xlimport TVINV INDATA.XLS TVINV!


 Ppermit0 = 0.30 ;

 Qpermit0('A20')  = 4460        ;
 Qpermit0('A24')  = 6806        ;
 Qpermit0('A40')  = 7166       ;


*5. MANIPULATIONS IN THE SAM ###################################################

*If manipulations in the SAM is needed you may use a parameter called samman(AC,ACP).
*The advantage of that is that you leave original data unchanged.

SAMMAN(AC,ACP)=0    ;
*This indata set have a small import share in C401. The following manipulations
*make that share larger and may improve solver performance

*SAMMAN('ROW','C401') = 1000;
*SAMMAN('C401','ROW') = 1000;

OPTION SAM:3;
DISPLAY "SAM IN ORIGINAL DATA", SAM;



*if manipulations are needed this can be done using the matrix samman(AC,ACP)

SAM(AC,ACP) = SAM(AC,ACP) + SAMMAN(AC,ACP);

*Account totals are recomputed. Check for SAM balance.

 SAM('TOTAL',AC) = 0;
 SAM(AC,'TOTAL') = 0;

DISPLAY "SAM AFTER MANIPULATIONS", SAM;

 SAM('TOTAL',AC) = SUM(ACNT, SAM(ACNT,AC));
 SAM(AC,'TOTAL') = SUM(ACNT, SAM(AC,ACNT));
*$libinclude xldump sam saminman.xls
 SAMBALCHK(AC)   = SAM('TOTAL',AC) - SAM(AC,'TOTAL');

DISPLAY "MANIPULATED SAM", SAMBALCHK;



*6. DEFINITION OF PHYSICAL FACTOR QUANTITIES #################

$ontext

!!: If you have data on physical factor DEMANDS, add them in this
section. If so, there is no need to include supply quantities --
the model code in SAINTBASE.GMS will not use the supply information.

If data are provided for SUPPLY quantities (but not for demand), the
model code in SAINTBASE.GMS will define disaggregated activity demand
quantities for each factor as:
(total factor supply) TIMES (activity share in total activity payments
to the factor).
This amounts to assuming that, for each factor, wages are uniform across
activities. The data on factor payments are from the SAM.

If you don't have any data on physical factor quantities, leave
this section blank.

$offtext





PARAMETER
 QFSBASE(F)   base-year qnty of supply for factor f
*For each factor, specify the units in a comment.
 /

 /
 ;
Parameter QFBASE(F,A)  qnty of factor f employed by activity a   ;


 QFBASE(F,A)             = 0;


display qfbase;

$ontext
TABLE deprate  rate of depreciation in activity a

               CAP

A01          0.08
A15          0.14
A20          0.12
A24          0.13
A30          0.15
A40          0.15
A50-52       0.12
A70          0.03
A75          0.14
A90          0.14

 ;

$offtext




*Forreign net asset position in the beginning of base year.

 FNAP0 = 0 ;

*Household population data=================================

*Note: population data are optional. They may be useful for verification
*of household model parameters and for report parameters.


PARAMETER
 POP(H) Base-year population for household h (units)
 /
 /
 ;



*6. PRICES #################################################################

 PSUP(C) = 1;

$ontext
All prices not normalized to one should be specified here. (Prices of commodities
where a realisitc physical quantity is prefered, probably those commodities that
are subject to quantity taxation)
$offtext

 PSUP('C232A')= 2.4 ;
 PSUP('C232E')= 1.6 ;
 PSUP('C401') = 0.18;
 PSUP('C402') = 2;

*Content of CO2 emission in fossil fuels
parameter carbshare(fossil)
 /
 C232A     2.375
 C232E     2.855
 C402      2.136
 /
 ;


*#*#*#*#*# THE END OF indata1.GMS #*#*#*#*
