
$STITLE Input file: indata.GMS. SAINT CGE modeling system 1.01

*The following parameter is used to document what indatafile that is used.
*If you produce own indatafiles replace indata1 below with the name of you file.

 SET
 INCDAT
 /
 INDATA
 /
;
 indatafile('indata') = 1    ;

$ontext

The file is divided into the following searchable blocks:
1. DESCRIPTION OF THE INDATA FILE
2. DATA MANIPULATION
3. SET DEFINITIONS
4. SAM WITH SUBMATRICES
5. MANIPULATIONS IN THE SAM
6. DEFINITION OF CAPITAL GOODS AND PHYSICAL FACTOR QUANTITIES
7. PRICES


1. DESCRIPTION OF THE INDATAFILE
This indatafile in test data set for SAINT

2. DATA MANIPULATION:

Data manipulations are made in the include file samman.dat



*3. SET DEFINITIONS #################################################


Instructions:

!!-1. In this section, the user should DEFINE all sets (by entering the
names of set elements). The only exception (which is signalled when
relevant) is for sets that are not invariably included in the SAM --
their element lists may be left blank. The user should NOT change set
names.


!!-2. The set AC has to include the following elements:


 TMT            trade margins

 INSTAX          direct taxes on domestic institutions
 EXPTAX          tax on exports
 FACTAX          direct tax on factors (soc sec tax)
 IMPTAX          import tariff
 TQT             quantity taxes on commodities
 TVT             value taxes on commmodities
 ACTTAX          activity tax

 STOCK     financial asset
 GOV       government
 S-I       savings-investment
 DSTK      stock changes
 ROW       rest of the world
 TOTAL     total





Comments on the above list:

a. The name TOTAL is also compulsory in the SAM.

b. If the SAM includes a government,the rest of the world, savings-
investment and/or stock changes, then the above account names ( GOV, ROW,
S-I, DSTK) have to be used for these entities.

Capital returns has to be distributed through an account named STOCK.
Taxes on capital should be payed from the stock account

c. The tax elements are used for model calibration.
Taxes have to be paid to special tax accounts that, in their turn, pass on
their total receipts to the account GOV; it is illegal to have taxes paid
directly to GOV.  For trade margins and taxes the above names has to be used
if they are included in tha sam. No other tax accounts are allowed.

$offtext



SETS
*!!-start entering information here
 AC  global set for model accounts - aggregated microsam accounts
 /
*activities
 A01
 A15
 A20
 A24
 A30
 A40
 A50-52
 A70
 A75
 A90

*Commodities
 C01
 C10
 C15
 C20
 C20bio
 C232A
 C232E
 C24
 C30
 C401
 C402
 C403
 C41
 C50-52
 C60
 C63
 C70
 C75
 C90

*Trade margins
 TMT

*Taxes
 INSTAX     direct taxes on domestic institutions
 EXPTAX     tax on exports
 FACTAX     direct tax on factors (soc sec tax)
 IMPTAX     import tariff
 TQT        total unit tax on commodities (distributed in TQMAT)
 TVT        total ad valorem tax on commodities (distributed in TVMAT)
 ACTTAX     activity tax

*factors
 LABL       low skilled labour
 LABM       medium skilled labour
 LABH       high skilled labour
 CAP        aggregated capital

*domestic non-government institutions

 H1
 H2

*Required accounts
 STOCK     financial asset
 GOV       government
 S-I       savings-investment
 DSTK      stock changes
 ROW       rest of the world
 TOTAL     total
 /

 P(AC)  all purchasers

 /
*activities
 A01
 A15
 A20
 A24
 A30
 A40
 A50-52
 A70
 A75
 A90

*domestic non-government institutions

 H1
 H2

*Required accounts
 GOV       government
 ROW       rest of the world
 S-I       savings-investment
 DSTK      stock changes
 /

 PNI(P)  all purchasers  except investments

 /
*activities
 A01
 A15
 A20
 A24
 A30
 A40
 A50-52
 A70
 A75
 A90

*domestic non-government institutions

 H1
 H2

*Required accounts
 GOV       government
 ROW       rest of the world
 DSTK      stock changes
 /

 A(PNI)  activities
 /
*activities
 A01
 A15
 A20
 A24
 A30
 A40
 A50-52
 A70
 A75
 A90
 /

 AETS(A)   activities included in permit trading
 /
 A20
 A24
 A40
 /

 C(AC)  commodities
 /
 C01
 C10
 C15
 C20
 C20bio
 C232A
 C232E
 C24
 C30
 C401
 C402
 C403
 C41
 C50-52
 C60
 C63
 C70
 C75
 C90
 /


*Note: This set identify the element in the SAM
*that receives payments from trade margins.
*That is, the commodities used for transactions
*If your SAM does not include these payments, leave the
*set empty.
 CTR(C)    commodity used for transactions

 /
 C50-52
 /

 FOSSIL(C) fossil fuels

 /
 C232A
 C232E
 C402
 /

 FOSSILPERM(FOSSIL) fossil fuels included in permit trading

 /
 C232E
 C402
 /

 F(AC)     factors
 /
 LABL      low skilled labour
 LABM      medium skilled labour
 LABH      high skilled labour
 CAP       aggregated capital
 /

*Note: in the unlikely event that your SAM does not include labor
*factors, leave the following set empty.
 FLAB(F)   labor
 /
 LABL      low skilled labour
 LABM      medium skilled labour
 LABH      high skilled labour
 /

*Note: If your SAM does not include natural capital
* leave the following set empty.
 FLAND(F)   natural capital
 /

 /

*Note: in the unlikely event that your SAM does not include capital
*factors, leave the following set empty.
 FCAP(F)   capital
 /
 CAP       aggregated capital

 /

 FOP(FCAP) capital that is used to adjustments in SAINTSEC
 /
 CAP
 /




 INS(P)    institutions
 /
 H1        households 1
 H2        households 2
 GOV       government
 ROW       rest of the world
 /

 INSD(PNI) domestic institutions
 /

 H1        households 1
 H2        households 2
 GOV       government
 /


 H(INSD)  households
 /
 H1        households 1
 H2        households 2
 /




 INSNG(INS) non-government institutions
 /
 H1        households 1
 H2        households 2
 ROW       rest of the world
 /


 TX(AC)    taxes in the model
 /
 INSTAX    direct taxes on domestic institutions
 EXPTAX    tax on exports
 IMPTAX    import tariff
 FACTAX    direct tax on factors (soc sec tax)
 TQT       total unit tax on commodities (distributed in TQMAT)
 TVT       total ad valorem tax on commodities (distributed in TVMAT)
 ACTTAX    activity tax
 /


 ;



 ACNT(AC) = YES; ACNT('TOTAL') = NO;



$ontext
4. SAM WITH SUBMATRICES########################################################
!! The user includes a SAM with submatrices and selects its name (subject to GAMS
syntactical rules).


!!-In this section, a SAM and its submatrices is included.

The SAMSAM and its submatrices can be included in three ways:
1. put directly in the file in the space below.
   A maximum of 6 columns is feasible; or
2. imported with an import program such as XLLINK or SSLINK; or
3. put in an include file.

$offtext
TABLE SAM  standard SAM

               A01         A15         A20         A24         A30         A40

C01           4531       28801       21689         251          22         250
C10           1021          83       36448        9327         275        4967
C15           5158       31301        1030        1526        2177         205
C20            577        2940       40103        6751       16062       11377
C20bio                                3315          22          17        2128
C232A         1290          81         179         221         169        1072
C232E          632         408        2887        4334         694        3939
C24           8022        7862       19366      150252       67072       31621
C30            366         646        1659       18177      163218        9952
C401          1022         538        4524        3553         745        1296
C402            71         323         231         521          32         814
C403            35         171         448         835         414         741
C41           1502         764        1623        2668        1754        5568
C50-52         524         704        1426        3304        5212         733
C60           1595        4978       17268       12104        9027        4260
C63           1589        3786       11674       11645       17513        2493
C70           2380       10058       18149       55896       88798       18324
C75            663         600        1458        2939        2566        1608
C90            143         452        4018        1632        2690         746
TMT           4046        3994        7733       23714       21565       10975
TQT           2352       -1271         758        1022         431        4474
TVT              2           1          16          50          54           2
ACTTAX       -2582        2791         660        6205        1962        6996
LABL          6623       19898       36025       83287       65182       72395
LABM          2683        2082        6107       12083       13483        8105
LABH          2434        2063        5558       14109       17488        7682
CAP          34569       15006       45615       66825       48201       48883
TOTAL        81248      139060      289967      493253      546823      261606

     +      A50-52         A70         A75         A90         C01         C10

A01                                                          66401       12208
A15                                                             82
A20                                                            170          29
A24                                                                        555
A30                                                            103          13
A40                                                                        455
A50-52                                                        1274         816
A75                                                            353
C01           1411         315         544         701
C10            660         455          64         116
C15          16469         732        8171         644
C20          13784       24475        8109        4290
C232A         5604         692         352         319
C232E         5098         323         710          86
C24          10378       16101       11826        2183
C30          19176        9563       21603        1165
C401          2303         680        1169         583
C402            32          36          45           1
C403           498        3232        1980         546
C41           8062       44756        9813        2639
C50-52       17818       16849        5080        5613
C60          57350        5922        8780        3273
C63          74858       21670       11827        5703
C70         129674      155992       81957       21659
C75           5699        5920       23810        2366
C90           8692       21994        3344        7300
TMT          13946        6645       10017        3158
EXPTAX                                                       -2591
TQT          13222        5312        2167        1125
TVT           7438       16730       30198        6336
ACTTAX       16583       24798       10720        -481
LABL        248676       82980       98188       30671
LABM         34952       37251       53364        9924
LABH         29141       63979       99738       17968
CAP         154627      223315      160699       23897
ROW                                                          17449       44280
TOTAL       896151      790717      664275      151785       83241       58356

     +         C15         C20      C20bio       C232A       C232E         C24

A01                        684                                              84
A15         129096          46                                             231
A20             32      222629        6085       25795       20389        1308
A24            430         543                                 373      444696
A30            152         348                                            8786
A50-52                      40                                            5505
A70                        960
A75            181         698                                             291
A90                        143
EXPTAX        -339
ROW          73006       25854                    9194       10994      230738
TOTAL       202558      251945        6085       34989       31756      691639

     +         C30        C401        C402        C403         C41      C50-52

A01                                                  3         309         125
A15              6                                  17                    6587
A20            767                                2320         781        2958
A24           2175                                 496        2799       16175
A30         481081                                  23         332       31156
A40                      25938        2338       16039      178647       28124
A50-52         572                                  28        3157      368796
A70           1124                                 267         692        8919
A75            652                                                        3602
A90              6                                 347                    2039
ROW         247978         750
TOTAL       734361       26688        2338       19540      186717      468481

     +         C60         C63         C70         C75         C90         TMT

A01            232          10         332                     860
A15            110         640        2122           2         121
A20            397          28        6246          25           8
A24            634         126       24219          32
A30            106          20       24653          21          29
A40                        144        9921
A50-52      175736      307060       29314        1159        2694
A70                                 776095        2660
A75             53        1370       37726      618069        1280
A90                                   5328        2837      141085
C50-52                                                                  333823
EXPTAX          -8
ROW          19808       32597      118019
TOTAL       197068      341995     1033975      624805      146077      333823

     +      INSTAX      EXPTAX      FACTAX         TQT         TVT      ACTTAX

GOV          12758       -2938      840978       67710      212428       67652
TOTAL        12758       -2938      840978       67710      212428       67652

     +        LABL        LABM        LABH         CAP          H1          H2

C01                                                           5026        7536
C10                                                             96         142
C15                                                          63326       42217
C20                                                           8469        5645
C20bio                                                         241         362
C232A                                                         6025        4016
C232E                                                          782        1821
C24                                                          12725        5453
C30                                                          23739       35607
C401                                                          4895        2932
C402                                                           115         117
C403                                                          5320        5320
C41                                                              7          10
C50-52                                                       33382       17519
C60                                                           8485       19800
C63                                                          51201       76797
C70                                                         156119      104077
C75                                                          17284       25928
C90                                                          38256       38258
TMT                                                          84496       68377
INSTAX                                                        6379        6379
FACTAX      446483      109784      157736
TQT                                                          24329       13789
TVT                                                          67229       55282
H1          137392       31419       44903
H2          158392       38419       56903
STOCK                                           821637
S-I                                                          -2427      187944
ROW           3819         948        1423                   21404       14409
TOTAL       746086      180570      260965      821637      636903      739737

     +       STOCK         GOV         S-I        DSTK         ROW       TOTAL

A01                                                                      81248
A15                                                                     139060
A20                                                                     289967
A24                                                                     493253
A30                                                                     546823
A40                                                                     261606
A50-52                                                                  896151
A70                                                                     790717
A75                                                                     664275
A90                                                                     151785
C01                                   1657        6271        4236       83241
C10                                                102        4600       58356
C15                         78                   -1591       31115      202558
C20                        165                      -5      109203      251945
C20bio                                                                    6085
C232A                                                        14969       34989
C232E                                             -441       10483       31756
C24                      11720       55701        1316      280041      691639
C30                        477       94364         198      334451      734361
C401                                                          2448       26688
C402                                                                      2338
C403                                                                     19540
C41                                 107551                              186717
C50-52                                                       26494      468481
C60                       1708                               42518      197068
C63                      26037                      -6       25208      341995
C70                      16602       79307         436       94547     1033975
C75                     533964                                          624805
C90                      16042        2231         279                  146077
TMT                       5277       22707                   47173      333823
INSTAX                                                                   12758
EXPTAX                                                                   -2938
FACTAX      126975                                                      840978
TQT                                                                      67710
TVT                                  29090                              212428
ACTTAX                                                                   67652
LABL                                                          2161      746086
LABM                                                           536      180570
LABH                                                           805      260965
CAP                                                                     821637
H1          339176      226850                             -142837      636903
H2          299176      226850                              -40003      739737
STOCK                                                       190317     1011954
GOV                                                        -117465     1081123
S-I                     -16306                              229956      399167
DSTK                                  6559                                6559
ROW         246627       31659                                         1150956
TOTAL      1011954     1081123      399167        6559     1150956
 ;



;

*In the tble below trade margins should be specified on commodity and purchaser

TABLE tmmat  disaggregated trade margins

              A01         A15         A20         A24         A30         A40

C01            56        1330          28          30           2          83
C10           200           1         165        1374          35        1158
C15           887        1422          85         151          69          23
C20            46         214        3206         343        1195        1346
C232A         583          34          53          97          74         383
C232E          65         -19         693        1332         -35         707
C24          1967         762        2302       17257        8015        3896
C30            39          58         153        1630       11185         632
C401          197         219        1111        1544        1032        2424
C402            6         -27         -63         -44          -7         290
C90                                                                        33

    +      A50-52         A70         A75         A90          H1          H2

C01           512          92         230         157        4579        6868
C10           242         170          20          34          61          91
C15          3823         233        2023         135       41094       27396
C20           726        1631         760         699        4826        3217
C232A        1938         295         190         199        2644        1762
C232E         740         118         136          67         484        1128
C24          1661        2294        2556         511        9321        3995
C30          1486         837        2666         645       11227       16841
C401         2768         934        1398         706        9363        6242
C402           50          41          38           5         117         117
C70                                                           180         120
C90                                                           600         600

    +         GOV         S-I         ROW

C01                        74         696
C10                                   588
C15            20                    2480
C20           621                    6396
C232A                                 114
C232E                                 183
C24          4427       10614       20961
C30           209       12019       16806
C401                                -1051


;

* In the table below quantity taxes on commoditis should be defined on
* commodity and purchaser.

TABLE tqmat  disaggregated quantity tax

              A01         A15         A20         A24         A30         A40

C01          -184       -1653
C10                        12           8          21           1         213
C15                        73
C232A        1947         141         309         399         312        1867
C232E         112         102         393         508          75         810
C24           469                                                          30
C401                                                                     1302
C402           10          47          34          76           5         258
C60            -2          -2          -2          -8          -5          -6
C90                         9          16          26          43

    +      A50-52         A70         A75         A90          H1          H2

C01                                              -149         -27         -40
C15          2237                                           10123        6748
C232A        8968        1249         632         554       11192        7461
C232E          83         344         305         105         896        2090
C401         1888         683        1175         586        4420        2947
C402           22          25          31           7          81          81
C60           -38         -25         -23          -8       -2356       -5498
C63                      2370
C90            62         666          47          30


;

* In the table below value taxes on commodities should be defined on
* commodity and purchaser

TABLE tvmat  disaggregated value tax

               A01         A15         A20         A24         A30         A40

C70              2           1          16          50          54           2

     +      A50-52         A70         A75         A90          H1          H2

C01              4          40         101          15        1392        2089
C10            178          87          18          11          34          52
C15             27           9        1555          71       20587       13725
C20            407         940        1515         631        2733        1822
C232A          129          62         256          81        4965        3310
C232E          117          55         251          54         540        1260
C24            163         970        2306         237        4634        1986
C30            119         248        4407         242        7894       11841
C401           284          67         936         338        4545        3030
C402                         5          29           2          79          79
C403            78         157         490         121        1330        1330
C41            644        8005        2169         569           2           2
C50-52         276         145         837         615        9651        4136
C60            363          24         768         157         298         694
C63            791         194        2270         687        3283        4924
C70           3688        3834       11490        2207        1054         703
C75            102          11          90          88         181         272
C90             68        1877         710         210        4027        4027

     +         S-I

C01              2
C24            432
C30           1142
C41          24167
C70           3323
C90             24

;

*DISAGGREGATED INVESTMENTS MATRICES=============================================



* In the table below the column of investemnts should be distributed to
* specific industrys

TABLE binvmat  the matrix of investments at basic prices

            A01          A15         A20         A24         A30

C01        1086
C24        5475         2688        4922        9658        6838
C30        2069         1937        6057        6460        6509
C41        2035         1016        2032        3814        3116
C70         767         2823        6244        4521        5536

  +          A40      A50-52         A70         A75         A90

C01                                                          571
C24         6132       14023        2941        2466         558
C30         6914       36281       16681        9100        2356
C41         8443       24949       42799       16506        2841
C70         2562       17602       25209       11828        2215
C90                                                         2231

;
* If there is quantity taxes on investments goods include a table here where
* they are distributed on commodity and purchasing industry.

 tqinv(C,A)   =0;

* In the table below trade marigns on investments should be distributed to
* purchasing industry

Table tminv  trade margins on investments

            A01         A15         A20         A24         A30         A40

C01          10
C24        1999         465         843         921         916        1458
C30         108         134         242         243         387         229

  +      A50-52         A70         A75         A90

C01                                              64
C24        3517         190         255          50
C30        7664        1237        1433         342

;

* In the table below value taxes on investment commodities should be distributed
* on specific purchasing industries.

TABLE tvinv  disaggregated value tax on investments

         A50-52         A70         A75         A90

C01                                               2
C24          77          99         230          26
C30         210          40         824          68
C41        3528       16704        3720         215
C70         427        1631        1199          66
C90                                              24


 ;


 Ppermit0 = 0 ;

 Qpermit0('A20')  = 0        ;
 Qpermit0('A24')  = 0        ;
 Qpermit0('A40')  = 0       ;


*5. MANIPULATIONS IN THE SAM ###################################################

*If manipulations in the SAM is needed you may use a parameter called samman(AC,ACP).
*The advantage of that is that you leave original data unchanged.

SAMMAN(AC,ACP)=0    ;
*This indata set have a small import share in C401. The following manipulations
*make that share larger and may improve solver performance

*SAMMAN('ROW','C401') = 1000;
*SAMMAN('C401','ROW') = 1000;

OPTION SAM:3;
DISPLAY "SAM IN ORIGINAL DATA", SAM;



*if manipulations are needed this can be done using the matrix samman(AC,ACP)

SAM(AC,ACP) = SAM(AC,ACP) + SAMMAN(AC,ACP);

*Account totals are recomputed. Check for SAM balance.

 SAM('TOTAL',AC) = 0;
 SAM(AC,'TOTAL') = 0;

DISPLAY "SAM AFTER MANIPULATIONS", SAM;

 SAM('TOTAL',AC) = SUM(ACNT, SAM(ACNT,AC));
 SAM(AC,'TOTAL') = SUM(ACNT, SAM(AC,ACNT));
*$libinclude xldump sam saminman.xls
 SAMBALCHK(AC)   = SAM('TOTAL',AC) - SAM(AC,'TOTAL');

DISPLAY "MANIPULATED SAM", SAMBALCHK;



*6. DEFINITION OF PHYSICAL FACTOR QUANTITIES #################

$ontext

!!: If you have data on physical factor DEMANDS, add them in this
section. If so, there is no need to include supply quantities --
the model code in SAINTBASE.GMS will not use the supply information.

If data are provided for SUPPLY quantities (but not for demand), the
model code in SAINTBASE.GMS will define disaggregated activity demand
quantities for each factor as:
(total factor supply) TIMES (activity share in total activity payments
to the factor).
This amounts to assuming that, for each factor, wages are uniform across
activities. The data on factor payments are from the SAM.

If you don't have any data on physical factor quantities, leave
this section blank.

$offtext





PARAMETER
 QFSBASE(F)   base-year qnty of supply for factor f
*For each factor, specify the units in a comment.
 /

 /
 ;
Parameter QFBASE(F,A)  qnty of factor f employed by activity a   ;


 QFBASE(F,A)             = 0;


display qfbase;

$ontext
TABLE deprate  rate of depreciation in activity a

               CAP

A01          0.08
A15          0.14
A20          0.12
A24          0.13
A30          0.15
A40          0.15
A50-52       0.12
A70          0.03
A75          0.14
A90          0.14

 ;

$offtext




*Forreign net asset position in the beginning of base year.

 FNAP0 = 0 ;

*Household population data=================================

*Note: population data are optional. They may be useful for verification
*of household model parameters and for report parameters.


PARAMETER
 POP(H) Base-year population for household h (units)
 /
 /
 ;



*6. PRICES #################################################################

 PSUP(C) = 1;

$ontext
All prices not normalized to one should be specified here. (Prices of commodities
where a realisitc physical quantity is prefered, probably those commodities that
are subject to quantity taxation)
$offtext
*$include prices.inc
 PSUP('C232A')= 2.4 ;
 PSUP('C232E')= 1.6 ;
 PSUP('C401') = 0.18;
 PSUP('C402') = 2;

*Content of CO2 emission in fossil fuels
parameter carbshare(fossil)
 /
 C232A     2.375
 C232E     2.855
 C402      2.136
 /
 ;


*#*#*#*#*# THE END OF indata1.GMS #*#*#*#*
