$TITLE Creation of tables. SAINT CGE modeling system 1.01
*this file should be ran from the saved restart file from SAINTSIM


* sk efter emratec(C)= fr att stlla in antagande
SET

 COTHER(C) commodities included in the calculation of carbon leakage

 ;




SET

sect
 /
 ind               industry
 hous              households
 total             total
 /

cols
 /
 base
 use
 dif
 change
 sum
 /


rowsel
 /
 eluse
 elprod
 elimp
 elexp
 elnet
 co2
 /

source
 /
 fosfuel          impact on global emissions from the use of fossil fuel
 electricity      impact on global emissions from the use of electricity
 permsup          impact on global emissions from changes in domestic supply of permits
 ETS_emissions    impact on global emission from export of permits
 netexpother      impact on global emissions from change in netexport
 tot              total impact on global CO2 emissions
 /

ROWS
 /
 tax
 use
 /



 ;

*define the set COTHER
 COTHER(C) = YES;

 COTHER('C20') = NO;
 COTHER('C24') = NO;
 COTHER('C401') = NO;
 COTHER('C403') = NO;



display fossil, sect, cols, rowsel, source, COTHER ;

parameter
entax0(ROWS,C,PNI)                        display parameter for energy taxes in base
carbonmic(sim,P,fossil)          CO2 emissions per sector and fuel
carbonmic2(AC,sim)               CO2 emissions per sector
carbonmic2p(AC,sim)              % CO2 emissions per sector
carbonmic2dif(AC,sim)            dif CO2 emissions per sector
eltrade(sim,rowsel,cols)         parameter to produce a table over electricity trade
elprod(sim,cols)                 domestic production of electricity
othernt(sim,c)                   implication for global change in emissions from nettrade in other commodities
outshare(A,C)                    share of industry A in output of commodity C
emrate(A)                        emission of CO2 per SEK of output in industry a
emratec(C)                       emission of CO2 per SEK of output of commodity C
sumury(source,sim)               parameter to produce a table over total emission of co2
TWh(rowsel,sim)                  table of prod use and netexport of electricity in TWh
CO2EM(fossil,AC,sim)             CO2 emissions per industry and fuel
CO2EMETS(AETS,sim)               CO2 emissions included in ETS
DOMEM(SIM)                       total CO2 emissions
 ;

carbonmic(simcur,A,fossil) =   (QINTX(fossil,A,simcur)+SUM(FCAP, QINVX(fossil,A,FCAP,simcur)))*carbshare(fossil)    ;
carbonmic(simcur,H,fossil) =  SUM(CGH, QHX(H,fossil,CGH,simcur))*carbshare(fossil)    ;
carbonmic(simcur,'GOV',fossil) =   QGX(fossil,simcur)*carbshare(fossil)    ;
$libinclude xldump carbonmic carbon.XLS carbonmic!

carbonmic2(P,simcur) = SUM(fossil, carbonmic(simcur,P,fossil));
carbonmic2('total',simcur) = SUM(P, carbonmic2(P,simcur));
$libinclude xldump carbonmic2 carbon.XLS carbonmic2!

carbonmic2p(AC,SIMCUR)$carbonmic2(AC,'BASE')
     = 100*(carbonmic2(AC,SIMCUR)/carbonmic2(AC,'BASE') - 1);
carbonmic2p(AC,'BASE') = carbonmic2(AC,'BASE') ;

carbonmic2dif(AC,SIMCUR)
     = carbonmic2(AC,SIMCUR)-carbonmic2(AC,'BASE');
carbonmic2dif(AC,'BASE') = carbonmic2(AC,'BASE') ;

$libinclude xldump carbonmic2p carbon.XLS carbonmic2P!
$libinclude xldump carbonmic2dif carbon.XLS carbonmic2DIF!

*calculating a table over CO2 emissions from fossil fuels
$ontext

$libinclude xldump carbon carbon.XLS carbon!
$offtext
*calculating the change in nettrade in electricity=============================
eltrade(simcurnb,'elimp','base')=  QMX('C401','base');
eltrade(simcurnb,'elimp','use') =   QMX('C401',simcurnb);
eltrade(simcurnb,'elimp','dif') =   QMX('C401',simcurnb)-QMX('C401','base');

eltrade(simcurnb,'elexp','base')=    QEX('C401','base');
eltrade(simcurnb,'elexp','use') =     QEX('C401',simcurnb);
eltrade(simcurnb,'elexp','dif') =     QEX('C401',simcurnb)-QEX('C401','base');

eltrade(simcurnb,'elnet','base') = eltrade(simcurnb,'elexp','base') - eltrade(simcurnb,'elimp','base');
eltrade(simcurnb,'elnet','use') =  eltrade(simcurnb,'elexp','use') - eltrade(simcurnb,'elimp','use')  ;
eltrade(simcurnb,'elnet','dif') =  eltrade(simcurnb,'elnet','use') - eltrade(simcurnb,'elnet','base') ;


eltrade(simcurnb,'co2','dif') =  -0.835* eltrade(simcurnb,'elnet','dif');

display eltrade;

$libinclude xldump eltrade carbon.XLS eltrade!

*domestic production of electricity=============================================
elprod(simcurnb,'base') =  QXX('C401','base') ;
elprod(simcurnb,'use') =  QXX('C401',simcurnb) ;
elprod(simcurnb,'dif') =  QXX('C401',simcurnb) - QXX('C401','base') ;

display elprod;

$libinclude xldump elprod carbon.XLS elprod!

*emissions frm other net trade.

$ontext
This program calculates emission from increased consumtion of different commodities
Outdata is a table with four colums:

unitem:
emissions of CO2 is calulated from the direct use of fossil fuels

totem:
emissions of CO2 is calulated from the direct and indirect use of fossil fuels

unitem2
emissions of CO2 is calulated from the direct use of fossil fuels and direct use of electricity


totem2
emissions of CO2 is calulated from the direct and indirect use of fossil fuels and electricity


$offtext


parameter

 Z(C,CP)  SIOT
 U(C,A)   Original use table
 S(A,C)   original supply table
 M(A,C)   Outputshares
 TOUT(C)  total output
 TC(C,CP) Technological coefficients
 I(C,CP)  enhetsmatrisen
 IlessA(C,CP) I minus A
 LEOINV(CP,C) The leontief inverse

 ;

 U(C,A) = REPSAM('base',C,A) ;
 S(A,C) = REPSAM('base',A,C) ;
 M(A,C)$SUM(CP, S(A,CP)) = S(A,C)/SUM(CP, S(A,CP));
*Z=UM
 Z(C,CP) = SUM(A, U(C,A)*M(A,CP));
 TOUT(C) = SUM(A, S(A,C));
 TC(C,CP) = Z(C,CP)/TOUT(CP);
 I(C,CP) = 0 ;
Loop(C,

I(C,C)=1;
 );

 IlessA(C,CP) =  I(C,CP) -  TC(C,CP);

$batinclude arealinverter IlessA C CP LEOINV




Display
 U
 S
 M
 Z
 TOUT
 TC
 I
 IlessA
 LEOINV
 ;
$ontext
$libinclude xldump U  SIOT.xls    U!
$libinclude xldump S  SIOT.xls    S!
$libinclude xldump M  SIOT.xls    M!
$libinclude xldump Z  SIOT.xls    Z!
$libinclude xldump TC  SIOT.xls    TC!
$libinclude xldump IlessA  SIOT.xls    IlessA!
$libinclude xldump LEOINV   SIOT.xls    LEOINV!
$offtext


SET

 Type
 /
 unitem                 direct emissions of CO2
 totem                  total emissions of CO2
 unitem2                 direct emissions of CO2 carbon electricity
 totem2                  total emissions of CO2 carbon electricity
 /
 ;

Parameter
outshare(A,C)                share of industry A in output of commodity C
emrate(A)                    emission of CO2 per SEK (basic prices) of output in industry a
emrate2(A)                   emission of CO2 per SEK (basic prices) of output in industry a electricity included
emissions(C,type)            emissions per SEK (basic prices) of C

 ;
outshare(A,C)$SUM(AP, REPSAM('base',AP,C))
                      =    REPSAM('base',A,C)/SUM(AP, REPSAM('base',AP,C));

emrate(A)$SUM(C,REPSAM('base',A,C))   =
          SUM(fossil, (QINTX(fossil,A,'base')+ SUM(FCAP, QINVX(fossil,A,FCAP,'base')))
          *carbshare(fossil)) / SUM(C,REPSAM('base',A,C));
*I formeln nedan drar jag bort CO2 emisioner som nd rknas med i svenska Leontief inversen
*undviker bias i totem2  unitem2 rknas om utan den subtraktionen nedan
emrate2(A)$SUM(C, REPSAM('base',A,C))   =
          (SUM(fossil, (QINTX(fossil,A,'base')+ SUM(FCAP, QINVX(fossil,A,FCAP,'base')))
          *carbshare(fossil))+ (0.835-0.07)*QINTX('C401',A,'base')) / SUM(C, REPSAM('base',A,C));

emissions(C,'unitem')= SUM(A, outshare(A,C)*emrate(A));
emissions(C,'unitem2')= SUM(A, outshare(A,C)*emrate2(A));
emissions(C,'totem')= SUM(CP,  emissions(CP,'unitem')* LEOINV(CP,C));
emissions(C,'totem2')= SUM(CP,  emissions(CP,'unitem2')* LEOINV(CP,C));

*recalculation of unitem2
emrate2(A)$SUM(C, REPSAM('base',A,C))   =
          (SUM(fossil, (QINTX(fossil,A,'base')+ SUM(FCAP, QINVX(fossil,A,FCAP,'base')))
          *carbshare(fossil))+ 0.835*QINTX('C401',A,'base')) / SUM(C, REPSAM('base',A,C));
emissions(C,'unitem2')= SUM(A, outshare(A,C)*emrate2(A));

display emissions;



*emratec(C)=emissions(C,'unitem') ;
*emratec(C)=emissions(C,'unitem2') ;
*emratec(C)=emissions(C,'totem') ;
emratec(C)=emissions(C,'totem2');


othernt(simcurnb,C)$SUM(A, outshare(A,C)*emrate(A)) =
            (EXPIM('NETEXPORT',C,'base')-EXPIM('NETEXPORT',C,simcurnb))*
            emratec(C);



display outshare, emrate, emratec, othernt;
*Sumury over emissions





sumury('permsup',simcurnb) = SUM(A, QPERMITX(A,simcurnb) - QPERMITX(A,'base'));
sumury('fosfuel',simcurnb) = carbonmic2('total',simcurnb) - carbonmic2('total','base') ;
sumury('ETS_emissions',simcurnb) = -SUM(AETS, carbonmic2(AETS,simcurnb) - carbonmic2(AETS,'base') ) ;
sumury('netexpother',simcurnb) = SUM(COTHER, othernt(simcurnb,COTHER));

sumury('tot',simcurnb) = sumury('fosfuel',simcurnb) +  sumury('permsup',simcurnb) +
                         sumury('ETS_emissions',simcurnb) + sumury('netexpother',simcurnb);


$libinclude xldump sumury carbon.XLS sumury!
$libinclude xldump othernt carbon.XLS othernt!

*TWh table

TWh('eluse',simcurnb) =  (QQX('C401',simcurnb) - QQX('C401','base'))/1000 ;
TWh('elprod',simcurnb) = elprod(simcurnb,'dif')/1000 ;
TWh('elnet',simcurnb) = eltrade(simcurnb,'elnet','dif')/1000 ;
TWh('eluse','base') =  QQX('C401','base')/1000 ;
TWh('elprod','base') = QXX('C401','base')/1000 ;
TWh('elnet','base') = TWh('elprod','base')-TWh('eluse','base');

$libinclude xldump TWh carbon.XLS TWh!





CO2EMETS(AETS,simcur) =SUM(FOSSILPERM,  (QINTX(FOSSILPERM,AETS,simcur)+
               SUM(FCAP, QINVX(FOSSILPERM,AETS,FCAP,simcur)))*carbshare(FOSSILPERM))    ;

display CO2EMETS;

$libinclude xldump CO2EMETS carbon.XLS CO2EMETS!

entax0('TAX',fossil,PNI) =  tq0(fossil,PNI) ;
entax0('TAX','C401',PNI) =  tq0('C401',PNI) ;


entax0('USE',fossil,A) =  QINT0(fossil,A) ;
entax0('USE','C401',A) =  QINT0('C401',A) ;


entax0('USE',fossil,H) =  SUM(CGH, QH0(H,fossil,CGH)) ;
entax0('USE','C401',H) =  SUM(CGH, QH0(H,'C401',CGH)) ;


$libinclude xldump entax0 carbon.XLS entax0!
